<!DOCTYPE html>
<html lang="en">

<head>

    <link rel="stylesheet" href="/style-global/lib/bootstrap-table/css/bootstrap-table.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/datatables.net-dt/css/jquery.dataTables.min.css?v=[cs_version]" >
    <link rel="stylesheet" href="/style-global/lib/spectrum-colorpicker/spectrum.css?v=[cs_version]">

    {% with custom_css="./css/easy2schedule-custom.css", title="Calendar Resources Settings", meta_description="Calendar Resources Settings"%}
        {% include 'snippets/global-header-include.tpl' %}
    {% endwith %}

</head>

<body id="page-top" class="az-body">
    {% include 'snippets/pb-loader.tpl' %}
    {% include 'snippets/guide/container-modal.tpl' %}
    {% with
    show_logo=true,
    logo='/style-global/img/icons/calendar.png',
    show_title=true,
    title= "CS:Kalender",
    show_mobilelogo=true,
    mobilelogo = "/style-global/img/icons/calendar.png",
    left_nav_links = true,
    nav_links = false,
    index_link = "./index.html",
    show_help_icon=true,
    help_icon_permission="easy2schedule.user.settings",
    show_news_icon=false,
    show_apps_menu_icon=true,
    show_profile_menu_icon=true
    %}
        {% include 'snippets/parametric/pb-header-menu.tpl' %}
    {% endwith %}

    <div class="az-content az-content-mail">
        <div class="container">
            <div class="az-content-left az-content-left-mail  az-content-left-components">
                <div class="az-content-header">
                    <!-- use if there is main menu that needs to be displayed in mobile view <a href="" id="azMenuShow" class="az-header-menu-icon"><span></span>-->
                    <a href="" id="azContentLeftHide" class="az-header-arrow">
                        <i class="icon ion-md-arrow-forward d-sm-none"></i>
                        <i class="icon ion-md-close d-none d-sm-block"></i>
                    </a>
                </div><!-- az-content-header -->
                {% include 'snippets/content-left-easy2schedule-settings-nav.tpl' %}
            </div><!-- az-content-left -->

            <div class="az-content-body az-content-body-mail pd-l-40 pd-r-40 ">
                <div class="az-content-breadcrumb">
                    <span><a href="/easy2schedule/" class="text-secondary" data-i18n="CS:Kalender">Easy2Schedule</a></span>
                    <span data-i18n="Settings">Einstellungen</span>
                    <span data-i18n="Calendar Resources">Kalenderressourcen</span>
                </div>
                <div class="d-flex justify-content-between ">
                    <h2 data-i18n="Manage Calendar Resources">Einrichten von Kalenderressourcen
                    </h2>
                    <div class="inpage-utility-nav">
                        <nav class="nav">
                            <a class="nav-link" href="/dashboard/account.html"> <i class="typcn typcn-user-add-outline mr-1" ></i> <span  data-i18n="User Management">Benutzerverwaltung</span>


                            </a>
                        </nav>
                    </div>
                </div>

                <div data-permission="easy2schedule.user.settings">
                    <p class="mg-b-20" data-i18n="Here you can define your calendar team members and manage your bookable tools. Add an unlimited number of bookable people and objects to your calendar, which can be selected when creating a new appointment. Select one from the list to edit it.">Hier können Sie Ihre <strong>Kalender-Teammitglieder</strong> definieren und Ihre buchbaren <strong>Hilfsmittel</strong> verwalten. Fügen Sie Ihrem Kalender eine unbegrenzte Anzahl buchbarer Personen und Objekte hinzu, die beim Anlegen eines neuen Termins ausgewählt werden können. Wählen Sie ein von die Liste aus, um es zu bearbeiten.
                    </p>
                    <div class="row row-sm">
                        <div class="col-md-4 mg-t-10 mg-b-10 mg-md-b-0">
                            <a href=""  data-toggle="modal" data-target="#modalResourceDetails"><button class="btn btn-indigo btn-with-icon btn-block" id="btn-create-resource"><i class="typcn typcn-plus-outline"></i> Ressource Anlegen</button></a>
                        </div><!-- col -->
                    </div>
                    <table id="resource-table" class="table az-table-reference table-hover mg-0 mg-t-10">
                         <thead>
                            <tr>
                                <th class="wd-30p force-wrap">Name</th>
                                <th class="wd-30p force-wrap">Benutzerkonto</th>
                                <th class="force-wrap">Typ</th>
                                <th>Farben</th>
                                <th class="wd-10p">Option</th>
                            </tr>
                        </thead>
                    </table>



                    <hr class="pd-y-20 border border-0">
                </div><!-- weekly summary setting -->


            </div><!-- az-content-body -->
        </div><!-- container -->
    </div><!-- az-content -->

    {% with show_menu=true, show_copyright=true %}
        {% include 'snippets/parametric/pb-footer.tpl' %}
    {% endwith %}
    <!-- az-footer -->

    <!-- Settings Modal -->
    <div id="modalResourceDetails" class="modal">
        <div class="modal-dialog modal-lg  modal-dialog-centered" role="document">
          <div id="intro-modal-content" class="modal-content modal-content-demo" >
            <div style="z-index: 999999999999">
                <div class="modal-header">
                    <h6 class="modal-title">Ressourcendetails</h6>
                    <button id="close-button" type="button" class="close" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                  </div>
                  <div class="modal-body" >

                      <div class="row row-sm">
                          <div class="col-lg-6">
                              <div>
                                  <label for="resource_name" class="form-label">Name : <span class="tx-danger">*</span></label>
                                  <input id="resource_name" name="resource_name" type="text" class="form-control"
                                      placeholder="Name eingeben" required>
                                  <span role="alert" id="field-1Error" class="error" aria-hidden="true">
                                      This is an error message.
                                  </span>
                              </div>
                              <div id="colorpicker-wrapper"class="mg-t-10">
                                  <label for="field-1" class="form-label">Farbhervorhebung : <span class="tx-danger">*</span></label>
                                  <div class="row">
                                      <div class="col-5">
                                          <div class="row d-flex">
                                              <div class="mx-3">
                                                  <input type="text" id="colorpicker-background">
                                              </div>
                                              <div><ion-icon name="ios-list-box" class="tx-20 text-muted pd-t-5"></ion-icon>
                                              </div>
                                          </div>
                                          <div class="row d-flex pd-t-15">
                                              <div class="mx-3">
                                                  <input type="text" id="colorpicker-text">
                                              </div>
                                              <div><ion-icon name="ios-list" class="tx-20 text-muted pd-t-5"></ion-icon>
                                              </div>
                                          </div>
                                      </div>
                                      <div class="col-7 text-right"><div class="cp-preview pd-y-20 text-center" id="colorpicker_preview" style="background-color: #b81755;color: #c8c8c8;">#hexcode</div>
                                      </div>
                                  </div>
                              </div>

                          </div><!-- col -->
                          <div class="col-lg-6 mg-t-10 mg-lg-t-0">
                              <div>
                                  <label for="resource_type" class="form-label">Ressourcetyp : <span class="tx-danger">*</span></label>
                                  <select id="resource_type" name="resource_type" class="form-control" >
                                      <option value="person">Person</option>
                                      <option value="others">Andere</option>
                                  </select>
                                  <span role="alert" id="resource_typeError" class="error" aria-hidden="true">
                                      This is an error message
                                  </span>
                              </div>
                              <div class="mg-t-10">
                                  <label for="resource_login" class="form-label">Benutzerkonto Verknüpfung : </label>
                                  <select id="resource_login" name="resource_login" class="form-control select2" style="width: 280px;">
                                  </select>
                                  <span role="alert" id="field-3Error" class="error" aria-hidden="true">
                                      This is an error message
                                  </span>
                              </div>
                              <div class="mg-t-10 hidden" data-permission='contacts.list' >
                                  <label for="resource_contact" class="form-label">Kontaktverknüpfung : </label>
                                  <select id="resource_contact" name="resource_contact" class="form-control select2" style="width: 280px;">
                                  </select>
                                  <span role="alert" id="field-4Error" class="error" aria-hidden="true">
                                      This is an error message
                                  </span>
                              </div>

                          </div><!-- col -->
                      </div>

                  </div><!-- modal-body -->
                  <div class="modal-footer">
                    <button type="button" id="btn-update-resource"class="btn btn-indigo">Speichern</button>
                    <button type="button" data-dismiss="modal" class="btn btn-outline-light">Abbrechen</button>
                  </div>
            </div>
          </div>
        </div><!-- modal-dialog -->
      </div><!-- modal -->

    {% with select2=true, bootstrapdatetimepicker=false, momentjs=false, semantic=false%}
      {% include 'snippets/global-script-include.tpl' %}
    {% endwith %}

    <script src="/style-global/lib/spectrum-colorpicker/spectrum.js?v=[cs_version]"></script>
    <script src="/style-global/lib/datatables.net/js/jquery.dataTables.min.js?v=[cs_version]"></script>

    {% with circuit="easy2schedule-ressource-settings-circuit" %}
        {% include 'snippets/framework-script.tpl' %}
    {% endwith %}


</body>

</html>